Name:           libcerf
Version:        2.3
%global         sover 2
Release:    1%{?dist}
Summary:        A library that provides complex error functions

License:        MIT
URL:            https://jugit.fz-juelich.de/mlz/libcerf
Source0:        https://jugit.fz-juelich.de/mlz/libcerf/-/archive/v%{version}/%{name}-v%{version}.tar.gz

%if (0%{?rhel} || (0%{?fedora} && 0%{?fedora} < 33))
%undefine __cmake_in_source_build
%endif

BuildRequires:  gcc
BuildRequires:  pkgconfig
BuildRequires:  cmake
BuildRequires:  perl-podlators
BuildRequires:  perl-Pod-Html

%description
libcerf is a self-contained numeric library that provides an efficient
and accurate implementation of complex error functions, along with
Dawson, Faddeeva, and Voigt functions.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-v%{version}

%build
%cmake -DCERF_COMPILE_OPTIONS='-Wall'
%cmake_build


%install
%cmake_install
mv %{buildroot}/%{_datadir}/doc/cerf/html %{buildroot}/%{_datadir}/doc/%{name}-devel


%check
%ctest


%files
%license LICENSE
%doc README.md
%{_libdir}/*.so.%{sover}*

%files devel
%{_mandir}/man3/*
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/doc/%{name}-devel/
%{_libdir}/cmake/cerf


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3-1
- initial build
